Skip to main content
`Ctrl`+`K`

# PetscLogStateEventGetInfo

Get the registration information of an event

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateEventGetInfo(PetscLogState state, PetscLogEvent event, PetscLogEventInfo *info)

Not collective

## Input Parameters

- state - a `PetscLogState`

- event - a registered `PetscLogEvent`

## Output Parameter

- info - the `PetscLogEventInfo` of the event will be copied into info

## See Also

Profiling, `PetscLogState`, `PetscLogStateEventRegister()`, `PetscLogStateGetEventFromName()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages